#include <mpi.h>
int main(int argc,char**argv)
{
  MPI_Init(&argc,&argv);
  int procs,rank;
  MPI_Comm_size(MPI_COMM_WORLD,&procs);
  MPI_Comm_rank(MPI_COMM_WORLD,&rank);
  int left=(rank+procs-1)%procs;
  int right=(rank+1)%procs;
  double d=rank*1.1;
  MPI_Ssend(&d,1,MPI_DOUBLE,right,17,MPI_COMM_WORLD);
  MPI_Recv(&d,1,MPI_DOUBLE,left,17,MPI_COMM_WORLD,MPI_STATUS_IGNORE);
  MPI_Finalize();
}
